
Redmine - Defect #956

Priorities not ordered when displayed as a filter in issue list

2008-03-29 23:47 - Simone Carletti

Status: Closed Start date: 2008-03-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

I'm playing with a new installation of Redmine and I just imported data from an active trac project.

Because Redmine only supports Priority and not Severy property, I made some changes to the imported Priority items.

I reordered them via Admin panel then I tried to use this field as a filter in the issue list.

As you can see from the screenshot, priorities are not ordered by the order defined in the Admin panel by they are ordered by record

ID (Low = 5, Medium = 4, Need to verify = 2).

Associated revisions

Revision 1309 - 2008-03-30 10:19 - Jean-Philippe Lang

Fixed: Priorities not ordered when displayed as a filter in issue list (#956).

History

#1 - 2008-03-30 00:14 - Thomas Löber

- File query.rb_1308.diff added

This can be fixed in app/models/query.rb.

#2 - 2008-03-30 10:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

- Resolution set to Fixed

Thanks Tomas. Fix applied in r1309.
